

void setup() {
  // put your setup code here, to run once:
  Serial.begin(9600);
pinMode(13,OUTPUT);
pinMode(22,INPUT);
pinMode(23,INPUT);
}

void loop() 

{
static int k=1000;
if ((digitalRead(22)==HIGH or digitalRead(23)==HIGH) && k>= 10)
{

   digitalWrite(13,HIGH);
  delay(k);
  Serial.println("k");
   Serial.println(k);
    digitalWrite(13,LOW);
  delay(k);
  k=(k/1.05);
Serial.println("k1");
 Serial.println(k);
  }
 else {
static int s=100;
 (digitalWrite(13,HIGH));
 delay(s); 
 Serial.println("s");
  Serial.println(s);
  digitalWrite(13,LOW);
  delay(s);
  s=s+30;
Serial.println("s1");
 Serial.println(s);
 }

}
